cc.Class({
    extends: cc.Component,

    properties: {
        sprite: cc.Sprite
    },

    // use this for initialization
    onLoad: function () {
        this.runSpawn();
    },

    runSpawn() {
        this.sprite.node.runAction(cc.spawn([
            cc.sequence([
                cc.delayTime(0.5),
                cc.callFunc(() => {
                    this.runSpawn();
                })
            ]),
            cc.moveTo(0.2, cc.p(10,10)),
            cc.scaleTo(0.56, 1.1, 1.1)
        ]));
    },

    garbageCollect() {
        cc.sys.garbageCollect();
    },

    update(dt) {
        cc.log('time');
        cc.sys.garbageCollect();
    }

});
